Ptex

Public Member Functions | Private Attributes | List of all members
IntKey Class Reference

`#include <PtexHashMap.h>`

## Public Member Functions
| IntKey ()
| IntKey (int val)
void | copy (volatile IntKey &key) volatile
void | move (volatile IntKey &key) volatile
bool | matches (const IntKey &key) volatile
bool | isEmpty () volatile
uint32_t | hash () volatile

## Private Attributes
int | _val

## Detailed Description

Definition at line 136 of file PtexHashMap.h.

## Constructor & Destructor Documentation

## ◆ IntKey() [1/2]

IntKey::IntKey | ( |  | ) |
| inline

Definition at line 141 of file PtexHashMap.h.

## ◆ IntKey() [2/2]

IntKey::IntKey | ( | int | val | ) |
| inline

Definition at line 142 of file PtexHashMap.h.

## Member Function Documentation

## ◆ copy()

void IntKey::copy | ( | volatile IntKey & | key | ) | volatile
| inline

Definition at line 143 of file PtexHashMap.h.

References _val.

## ◆ hash()

uint32_t IntKey::hash | ( |  | ) | volatile
| inline

Definition at line 147 of file PtexHashMap.h.

References _val.

## ◆ isEmpty()

bool IntKey::isEmpty | ( |  | ) | volatile
| inline

Definition at line 146 of file PtexHashMap.h.

References _val.

## ◆ matches()

bool IntKey::matches | ( | const IntKey & | key | ) | volatile
| inline

Definition at line 145 of file PtexHashMap.h.

References _val.

## ◆ move()

void IntKey::move | ( | volatile IntKey & | key | ) | volatile
| inline

Definition at line 144 of file PtexHashMap.h.

References _val.

## Member Data Documentation

## ◆ _val

int IntKey::_val
| private

Definition at line 138 of file PtexHashMap.h.

Referenced by copy(), hash(), isEmpty(), matches(), and move().

The documentation for this class was generated from the following file:

- PtexHashMap.h